import request from '@/utils/request'

export function listRetrieval(query) {
  return request({
    url: '/warehouse-out/page',
    method: 'get',
    params: query
  })
}

export function executeRetrieval(query) {
  return request({
    url: '/warehouse-out/execute',
    method: 'post',
    params: query
  })
}

export function createRetrieval(data) {
  return request({
    url: '/warehouse-out/add',
    method: 'post',
    data
  })
}

export function readRetrieval(query) {
  return request({
    url: '/warehouse-out/info',
    method: 'get',
    params: query
  })
}

export function updateRetrieval(data) {
  return request({
    url: '/warehouse-out/edit',
    method: 'post',
    data
  })
}

export function deleteRetrieval(query) {
  return request({
    url: '/warehouse-out/remove',
    method: 'post',
    params: query
  })
}

export function cancelRetrieval(query) {
  return request({
    url: '/warehouse-out/cancel',
    method: 'post',
    params: query
  })
}

